import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:aws_pinpoint_plugin/aws_pinpoint_plugin.dart';

void main() => runApp(MyApp());
class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  bool _initialized = false;

  @override
  void initState() {
    super.initState();
    init().then((value) => {
      AwsPinpointPlugin.endpointId.then((value) => {
        print("endpoint $value")
      })
    });
  }

  Future<void> init() async {
    try {
      await AwsPinpointPlugin.initialize();
    } catch (err) {
      print("$err");
    }

    // If the widget was removed from the tree while the asynchronous platform
    // message was in flight, we want to discard the reply rather than calling
    // setState to update our non-existent appearance.
    if (!mounted) return;

    setState(() {
      _initialized = true;
    });
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('AWS app'),
        ),
        body: Center(
          child: Text('initialized: $_initialized\n'),
        ),
      ),
    );
  }
}