import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:aws_pinpoint_plugin/aws_pinpoint_plugin.dart';

void main() {
  const MethodChannel channel = MethodChannel('aws_pinpoint_plugin');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await AwsPinpointPlugin.platformVersion, '42');
  });
}
